//----------------------------------------------------------------------------
//  Project Test_At3dx_Lights
//  MicroMouse Productions
//  Copyright  2011-2021. All Rights Reserved.
//  Author: Wayne Hogue
//
//---------------------------------------------------------------------------

#ifndef Test_At3dx_LightsAppH
#define Test_At3dx_LightsAppH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.Buttons.hpp>
#include <Vcl.ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TTest_At3dx_LightsForm : public TForm
{
__published:	// IDE-managed Components
  TPanel *ViewPanel;
  TSpeedButton *DoStartDll;
  TSpeedButton *DoStopDll;
  TSpeedButton *Read3dFile;
  TGroupBox *GroupBox1;
  TRadioButton *TypeKmz;
  TRadioButton *TypeObj;
  TCheckBox *Light0;
  TCheckBox *Light1;
  TCheckBox *UseTextures;
  TCheckBox *UseOglReplace;
  TCheckBox *UseWhiteBase;
  TCheckBox *AlwaysShowCameraCursor;
  TCheckBox *ReversePan;
  TCheckBox *ReverseZoom;
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall DoStartDllClick(TObject *Sender);
  void __fastcall DoStopDllClick(TObject *Sender);
  void __fastcall Read3dFileClick(TObject *Sender);
  void __fastcall Light0Click(TObject *Sender);
  void __fastcall Light1Click(TObject *Sender);
  void __fastcall TypeKmzClick(TObject *Sender);
  void __fastcall TypeObjClick(TObject *Sender);
  void __fastcall UseOglReplaceClick(TObject *Sender);
  void __fastcall UseTexturesClick(TObject *Sender);
  void __fastcall UseWhiteBaseClick(TObject *Sender);
  void __fastcall AlwaysShowCameraCursorClick(TObject *Sender);
  void __fastcall ReversePanClick(TObject *Sender);
  void __fastcall ReverseZoomClick(TObject *Sender);
private:	// User declarations
  void __fastcall Form_Setup(void);
  void __fastcall Start_DLL(void);
  void __fastcall Stop_DLL(void);
  void __fastcall Read_3D_File(void);
  void __fastcall SetLight0(void);
  void __fastcall SetLight1(void);
  Int32 unused_W8057_Flag;
  Int32 dllOpen;
  Int32 fileLoaded;
  char inName[MAX_PATH];
  Int32 inputFileType;
  Int32 useTexturesFlag;
  Int32 oglReplaceFlag;
  Int32 useWhiteBaseFlag;
  Int32 reversePanFlag;
  Int32 reverseZoomFlag;
  Int32 alwaysShowCameraCursorFlag;
public:		// User declarations
  __fastcall TTest_At3dx_LightsForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTest_At3dx_LightsForm *Test_At3dx_LightsForm;
//---------------------------------------------------------------------------
#endif
